#include <bits/stdc++.h>

using namespace std;

int main()
{
	int N;
	cin>>N;
	int A[N];
	for(int i=0;i<N;i++)
	{
		cin>>A[i];
	}
	int Q;
	cin>>Q;
	bool R[Q];
	
	for(int i=0;i<Q;i++)
	{
		int l,r;
	
		cin>>l>>r;
		l-=1;
		r-=1;
		int veci=0;
		R[i]=true;
		for(int j=l;j<r;j++)
		{	
			if(A[j]>A[j+1])
			{
				veci+=1;
			}
		
			if(veci==2)
			{	
				R[i]=false;
				break;
			}
		}
		
	}
	for(int i=0;i<Q;i++)
	{
		if(R[i]==true)
		{
			cout<<"DA"<<endl;
		}
		else
		{
			cout<<"NE"<<endl;
		}
	}
}